Kerbal Space Program - Bug #20758

Right-click menus fail during first launch after changes to PartDatabase.cfg
12/24/2018 09:59 PM - Anonymous

Status: Closed Start date: 12/24/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.6.1

Version: 1.6.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game, Making History

Description

Reported (as an observation, not necessarily a bug) at
https://forum.kerbalspaceprogram.com/index.php?/topic/50533-15x-module-manager-311-november-12th-2018-its-dangerous-to-go-
alone-take-those-cats-with-you/&do=findComment&comment=3508828

1) Install 1.6.0 and Making History

2) Delete or rename or move the file PartDatabase.cfg
3) Start KSP

4) Enter the VAB or SPH

5) Place a mk2Lander

6) Right click on that part

The right-click menu is incorrect (image) and the log reports null references.

Normally, one would not delete PartDatabase.cfg, unless trying to clear a previously-modded install, particularly if mods were put in
the directory used by the Steam in-place update.

This effect is noticed mostly because the first run of the common mod 'Module Manager' causes the same symptom on the first start
after any changes.

This might be a bug if it reveals an unintended change to the startup sequence, in which case Squad might rather reverse the
change than let modders adapt to it.

Starting KSP a second time resolves the problem, and it remains resolved on further starts.

Related issues:

Has duplicate Kerbal Space Program - Bug #20763: Right click stops working in... Closed 12/26/2018

History

#1 - 12/24/2018 11:12 PM - Nebbie

- Subject changed from right-click menus fail after first creation of ParDatabase.cfg to Right-click menus fail after first creation of PartDatabase.cfg
- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Platform Linux added

So that's what's causing it.

#2 - 12/26/2018 11:19 PM - Anonymous

- Subject changed from Right-click menus fail after first creation of PartDatabase.cfg to Right-click menus fail during first launch after changes to
PartDatabase.cfg

#3 - 12/31/2018 03:57 AM - Anonymous
- File KSPlogWithoutMakingHistory.zip added
- File screenshot0.jpg added

- Expansion Core Game added
The Core Game alone is enough
1) Install 1.6.0

2) Delete or rename or move the file PartDatabase.cfg

3) Start KSP

4) Enter the VAB or SPH

5) Place a LV-N engine (note the engine plume is showing)

6) Right click on that part

The right-click menu is incorrect (image) and the log reports null references.

The inflatable heat shield also auto-inflates in the VAB with the right-click option to deflate being unresponsive. A second start of KSP clears the
symptoms.

#4 - 01/03/2019 08:10 PM - joshua.collins
- Has duplicate Bug #20763: Right click stops working in the editor added

#5 - 01/09/2019 08:23 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.6.1

- % Done changed from 10 to 80

#6 - 01/09/2019 11:37 PM - Nebbie
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
Tested by running after removing the 6 seat Mk3 Cockpit mod, right click on Mk2 Lander Can is working fine.

#7 - 03/28/2019 03:30 AM - joshua.collins

- Status changed from Resolved to Closed

Files

firstPartDatabase.jpg 224 KB 12/24/2018 Anonymous
KSP.zip 55 KB 12/24/2018 Anonymous
KSPlogWithoutMakingHistory.zip 43.7 KB 12/31/2018 Anonymous
screenshot0.jpg 256 KB 12/31/2018 Anonymous
